[arch-commits] Commit in hal/repos (3 files)

Jan de Groot jgc at archlinux.org
Wed Apr 15 17:30:13 EDT 2009


    Date: Wednesday, April 15, 2009 @ 17:30:12
  Author: jgc
Revision: 35705

Merged revisions 35703 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/hal/trunk

........
  r35703 | jgc | 2009-04-15 21:28:15 +0000 (Wed, 15 Apr 2009) | 2 lines
  
  upgpkg: hal 0.5.12git20090406.46dc48-2
      Remove ntfs mount fix patch which fixes something in an invalid way. This was already handled different upstream
........

Modified:
  hal/repos/extra-i686/	(properties)
  hal/repos/extra-i686/PKGBUILD
Deleted:
  hal/repos/extra-i686/ntfs-mount-fix.patch

----------------------+
 PKGBUILD             |   13 +++++--------
 ntfs-mount-fix.patch |   18 ------------------
 2 files changed, 5 insertions(+), 26 deletions(-)


Property changes on: hal/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /hal/trunk:1-35497
   + /hal/trunk:1-35704

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-15 21:28:27 UTC (rev 35704)
+++ extra-i686/PKGBUILD	2009-04-15 21:30:12 UTC (rev 35705)
@@ -4,7 +4,7 @@
 
 pkgname=hal
 pkgver=0.5.12git20090406.46dc48
-pkgrel=1
+pkgrel=2
 pkgdesc="Hardware Abstraction Layer"
 _gitver=46dc48d2235c5916179bacf58f800132cd7a7257
 arch=(i686 x86_64)
@@ -17,19 +17,16 @@
 source=(ftp://ftp.archlinux.org/other/hal/hal-${_gitver}.tar.bz2
 	hal
 	cryptsetup_location.patch
-	hal-0.5.9-hide-diagnostic.patch
-	ntfs-mount-fix.patch)
+	hal-0.5.9-hide-diagnostic.patch)
 md5sums=('2b3012d9f4a5b0c1666df20763124d4c'
          '277e96ac130d7bfce0b30f0b80db8782'
          'c688a3c6574699365926f4fef7441545'
-         '4d4b6801a1cedca22b8bdd9db73b16fb'
-         '96cf8835c30dc581c4fcf72b6ad7675e')
+         '4d4b6801a1cedca22b8bdd9db73b16fb')
 
 build() {
   cd "${srcdir}/${pkgname}-${_gitver}"
-  patch -Np1 -i ${startdir}/src/cryptsetup_location.patch || return 1
-  patch -Np1 -i ${startdir}/src/hal-0.5.9-hide-diagnostic.patch || return 1
-  patch -Np0 -i ${srcdir}/ntfs-mount-fix.patch || return 1
+  patch -Np1 -i "${srcdir}/cryptsetup_location.patch" || return 1
+  patch -Np1 -i "${srcdir}/hal-0.5.9-hide-diagnostic.patch" || return 1
 
   libtoolize --force || return 1
   aclocal || return 1

Deleted: extra-i686/ntfs-mount-fix.patch
===================================================================
--- extra-i686/ntfs-mount-fix.patch	2009-04-15 21:28:27 UTC (rev 35704)
+++ extra-i686/ntfs-mount-fix.patch	2009-04-15 21:30:12 UTC (rev 35705)
@@ -1,18 +0,0 @@
---- tools/hal-storage-mount.c.orig	2008-04-21 01:48:27.000000000 +0200
-+++ tools/hal-storage-mount.c	2008-04-21 01:47:44.000000000 +0200
-@@ -769,13 +769,13 @@
- 
- 	if (pol_is_fixed) {
- 		if (pol_change_uid) {
--			action = NULL; /* "hal-storage-mount-fixed-extra-options"; TODO: rethink */
-+			action = "hal-storage-mount-fixed-extra-options"; /*TODO: rethink */
- 		} else {
- 			action = "org.freedesktop.hal.storage.mount-fixed";
- 		}
- 	} else {
- 		if (pol_change_uid) {
--			action = NULL; /* "hal-storage-mount-removable-extra-options"; TODO: rethink "extra-options" */
-+			action = "hal-storage-mount-removable-extra-options"; /*TODO: rethink "extra-options" */
- 		} else {
- 			action = "org.freedesktop.hal.storage.mount-removable";
- 		}



More information about the arch-commits mailing list